<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html 
     PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>Class: LabellingFormBuilder</title>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
  <meta http-equiv="Content-Script-Type" content="text/javascript" />
  <link rel="stylesheet" href=".././rdoc-style.css" type="text/css" media="screen" />
  <script type="text/javascript">
  // <![CDATA[

  function popupCode( url ) {
    window.open(url, "Code", "resizable=yes,scrollbars=yes,toolbar=no,status=no,height=150,width=400")
  }

  function toggleCode( id ) {
    if ( document.getElementById )
      elem = document.getElementById( id );
    else if ( document.all )
      elem = eval( "document.all." + id );
    else
      return false;

    elemStyle = elem.style;
    
    if ( elemStyle.display != "block" ) {
      elemStyle.display = "block"
    } else {
      elemStyle.display = "none"
    }

    return true;
  }
  
  // Make codeblocks hidden by default
  document.writeln( "<style type=\"text/css\">div.method-source-code { display: none }</style>" )
  
  // ]]>
  </script>

</head>
<body>



    <div id="classHeader">
        <table class="header-table">
        <tr class="top-aligned-row">
          <td><strong>Class</strong></td>
          <td class="class-name-in-header">LabellingFormBuilder</td>
        </tr>
        <tr class="top-aligned-row">
            <td><strong>In:</strong></td>
            <td>
                <a href="../files/app/helpers/labelling_form_builder_rb.html">
                app/helpers/labelling_form_builder.rb
                </a>
        <br />
            </td>
        </tr>

        <tr class="top-aligned-row">
            <td><strong>Parent:</strong></td>
            <td>
                ActionView::Helpers::FormBuilder
            </td>
        </tr>
        </table>
    </div>
  <!-- banner header -->

  <div id="bodyContent">



  <div id="contextContent">



   </div>

    <div id="method-list">
      <h3 class="section-bar">Methods</h3>

      <div class="name-list">
      <a href="#M000057">error_msg</a>&nbsp;&nbsp;
      </div>
    </div>

  </div>


    <!-- if includes -->

    <div id="section">





      


    <!-- if method_list -->
    <div id="methods">
      <h3 class="section-bar">Public Instance methods</h3>

      <div id="method-M000057" class="method-detail">
        <a name="M000057"></a>

        <div class="method-heading">
          <a href="#M000057" class="method-signature">
          <span class="method-name">error_msg</span><span class="method-args">(name)</span>
          </a>
        </div>
      
        <div class="method-description">
          <p>
def text_field(field, options = {})
</p>
<pre>
  object = instance_variable_get(&quot;@#{@object_name}&quot;)
   @template.content_tag(
    &quot;label&quot;,
    options[:label] || field.to_s.humanize + &quot;:&quot;,
    :for =&gt; &quot;#{@object_name}_#{field}&quot;,
    :class =&gt; 'desc') +
   super
      @template.content_tag(options[:tag] || &quot;span&quot;, super)
</pre>
<p>
end
</p>
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000057-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000057-source">
<pre>
    <span class="ruby-comment cmt"># File app/helpers/labelling_form_builder.rb, line 45</span>
45:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">error_msg</span>(<span class="ruby-identifier">name</span>)
46:     <span class="ruby-keyword kw">return</span> <span class="ruby-node">&quot;#{Work.errors}&quot;</span> <span class="ruby-keyword kw">unless</span> <span class="ruby-ivar">@errors</span> <span class="ruby-operator">&amp;&amp;</span> <span class="ruby-ivar">@errors</span>[<span class="ruby-identifier">name</span>.<span class="ruby-identifier">to_sym</span>]
47:     <span class="ruby-identifier">html</span> = <span class="ruby-value str">&quot;&quot;</span>
48:     <span class="ruby-ivar">@errors</span>[<span class="ruby-identifier">name</span>.<span class="ruby-identifier">to_sym</span>].<span class="ruby-identifier">each</span> <span class="ruby-keyword kw">do</span> <span class="ruby-operator">|</span><span class="ruby-identifier">error</span><span class="ruby-operator">|</span>
49:       <span class="ruby-identifier">html</span> <span class="ruby-operator">+=</span> <span class="ruby-value str">&quot;&lt;label&gt;&amp;nbsp;&lt;/label&gt;&quot;</span>
50:       <span class="ruby-identifier">html</span> <span class="ruby-operator">+=</span> <span class="ruby-value str">&quot;&lt;p class='error'&gt;&quot;</span> <span class="ruby-operator">+</span> <span class="ruby-identifier">error</span> <span class="ruby-operator">+</span> <span class="ruby-value str">&quot;&lt;/p&gt;&quot;</span>
51:     <span class="ruby-keyword kw">end</span>
52:     <span class="ruby-keyword kw">return</span> <span class="ruby-identifier">html</span>
53:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>


    </div>


  </div>


<div id="validator-badges">
  <p><small><a href="http://validator.w3.org/check/referer">[Validate]</a></small></p>
</div>

</body>
</html>